Sign inGet started

List allow/block rules

GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
Paramètres de requête
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
Corps de la réponse
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatoire
Afficher les attributs enfants
results.category
string
obligatoire
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
obligatoire
results.createdBy
string
obligatoire
results.id
string
obligatoire
results.type
string
obligatoire
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
obligatoire
results.updatedBy
string
obligatoire
results.value
string
obligatoire
results.workspaceId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Exemple de code
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"
Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.